<script>
import Bottom from "@/components/Bottom.vue";
import StatusBar from "@/components/StatusBar.vue";
import "../icons"

export default {
  name: "SysLayout",
  components: {
    StatusBar,
    Bottom,
  },
};
</script>

<template>
  <div class="layout-container">
    <div class="background"></div>
    <div class="bg-container"></div>
    <div class="container">
      <StatusBar async />
      <router-view :key="$route.path" />
      <Bottom async />
    </div>
  </div>
</template>

<style scoped lang="scss">
.background {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background-image: url("../assets/images/BG@2x.webp");
  background-repeat: no-repeat;
  background-position: center;
  background-size: 115% 115%;
  z-index: -2;
}
.bg-container {
  width: 1991px;
  height: 1195px;
  border-radius: 54px;
  background-image: url("../assets/images/PB.webp");
  background-repeat: no-repeat;
  background-size: cover;
  position: absolute;
  z-index: -1;
}
.layout-container {
  width: 100%;
  height: 100%;
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
}
.container {
  position: relative;
  width: 1920px;
  height: 1080px;
  background: #eff3f7;
}
</style>
